REM $INCLUDE: 'future.bi'

CLS

t! = TIMER
t1! = TIMER
t2! = TIMER
t3! = TIMER
t4! = TIMER
t5! = TIMER
t6! = TIMER
t7! = TIMER
t8! = TIMER

SetTIMERspeed 760
SetSubTIMERspeed 500, 1
SetSubTIMERspeed 276, 2
SetSubTIMERspeed 376, 3
SetSubTIMERspeed 476, 4
SetSubTIMERspeed 576, 5
SetSubTIMERspeed 676, 6
SetSubTIMERspeed 76, 7
SetSubTIMERspeed 176, 8

StartTIMER
StartSubTIMER 1
StartSubTIMER 2
StartSubTIMER 3
StartSubTIMER 4
StartSubTIMER 5
StartSubTIMER 6
StartSubTIMER 7
StartSubTIMER 8

DO
IF (TIMER - t!) THEN LOCATE 1, 1: PRINT "Main Timer ->"; ReadCounter&; INT(ReadCounter& / (TIMER - t!)); "Hz"; " (760Hz)"
IF (TIMER - t1!) THEN LOCATE 2, 1: PRINT "Sub Timer 1->"; ReadSubCounter&(1); INT(ReadSubCounter&(1) / (TIMER - t1!)); "Hz"; " (500Hz)"
IF (TIMER - t2!) THEN LOCATE 3, 1: PRINT "Sub Timer 2->"; ReadSubCounter&(2); INT(ReadSubCounter&(2) / (TIMER - t2!)); "Hz"; " (276Hz)"
IF (TIMER - t3!) THEN LOCATE 4, 1: PRINT "Sub Timer 3->"; ReadSubCounter&(3); INT(ReadSubCounter&(3) / (TIMER - t3!)); "Hz"; " (376Hz)"
IF (TIMER - t4!) THEN LOCATE 5, 1: PRINT "Sub Timer 4->"; ReadSubCounter&(4); INT(ReadSubCounter&(4) / (TIMER - t4!)); "Hz"; " (476Hz)"
IF (TIMER - t5!) THEN LOCATE 6, 1: PRINT "Sub Timer 5->"; ReadSubCounter&(5); INT(ReadSubCounter&(5) / (TIMER - t5!)); "Hz"; " (576Hz)"
IF (TIMER - t6!) THEN LOCATE 7, 1: PRINT "Sub Timer 6->"; ReadSubCounter&(6); INT(ReadSubCounter&(6) / (TIMER - t6!)); "Hz"; " (676Hz)"
IF (TIMER - t7!) THEN LOCATE 8, 1: PRINT "Sub Timer 7->"; ReadSubCounter&(7); INT(ReadSubCounter&(7) / (TIMER - t7!)); "Hz"; " (76Hz)"
IF (TIMER - t8!) THEN LOCATE 9, 1: PRINT "Sub Timer 8->"; ReadSubCounter&(8); INT(ReadSubCounter&(8) / (TIMER - t8!)); "Hz"; " (176Hz)"

LOCATE 11, 1: PRINT TIME$; TIMER
C$ = INKEY$

IF C$ = " " THEN
ResetSubCounter 1
ResetSubCounter 2
ResetSubCounter 3
ResetSubCounter 4
ResetSubCounter 5
ResetSubCounter 6
ResetSubCounter 7
ResetSubCounter 8
ResetCounter
t! = TIMER
t1! = TIMER
t2! = TIMER
t3! = TIMER
t4! = TIMER
t5! = TIMER
t6! = TIMER
t7! = TIMER
t8! = TIMER

END IF

LOOP UNTIL C$ = CHR$(27)

StopSubTIMER 1
StopSubTIMER 2
StopSubTIMER 3
StopSubTIMER 4
StopSubTIMER 5
StopSubTIMER 6
StopSubTIMER 7
StopSubTIMER 8
StopTIMER
ReSetScreen

